/*
  harmonograph is Copyright (c) Prescott K. Turner, 2006. All rights reserved.
  It is distributed as free software under the license in the file "License",
  which is included in the distribution.
*/
#ifndef trialview_h
#define trialview_h

#include "wx/docview.h"

class Canvas;
class Frame;

class TrialView: public wxView
{
    DECLARE_DYNAMIC_CLASS(TrialView)
private:
public:
    Frame *frame;
    
    TrialView();
    ~TrialView();
    
    bool OnCreate(wxDocument *doc, long flags);
    void OnDraw(wxDC *dc);
    void OnUpdate(wxView *sender, wxObject *hint = NULL);
    bool OnClose(bool deleteWindow = TRUE);

    static void segment(wxDC &dc, const PendulumsState &ps0, const PendulumsState &ps1);
    static void presized_segment(wxDC &dc, const PendulumsState &ps0, const PendulumsState &ps1, double x_scale, double y_scale);
};

#endif
